> ## Documentation Index
> Fetch the complete documentation index at: https://docs.solanatracker.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Historic Price Information

> 返回单个代币的历史价格序列。

## SDK Example

<CodeGroup>
  ```typescript SDK
  import { Client } from '@solana-tracker/data-api';

  const client = new Client({ apiKey: 'YOUR_API_KEY' });

  const data = await client.getPriceHistory('6p6xgHyF7AeE6TZkSmFsko444wqoP15icUSqi2jfGiPN');

  ```
</CodeGroup>


## OpenAPI

````yaml /cn/data-api/openapi.json get /price/history
openapi: 3.1.0
info:
  title: Solana Tracker 数据 API
  description: Solana Tracker 数据 API：提供代币价格、持币地址、成交、图表、钱包数据、风险信号与市场分析等能力。
  version: 1.0.0
  contact:
    email: contact@solanatracker.io
servers:
  - url: https://data.solanatracker.io
    description: 生产环境
security:
  - apiKey: []
paths:
  /price/history:
    get:
      tags:
        - Price
      summary: Get Historic Price Information
      description: 返回单个代币的历史价格序列。
      parameters:
        - name: token
          in: query
          required: true
          description: 代币地址
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PriceHistoryResponse'
              example:
                current: 5.933132498211121
                1d: 6.295227385180826
                3d: 7.7397017357870705
                5d: 7.968063197832061
                7d: 7.739212922516644
                14d: 7.596158185278047
                30d: 8.785669661012452
      x-codeSamples:
        - lang: typescript
          label: SDK
          source: >
            import { Client } from '@solana-tracker/data-api';


            const client = new Client({ apiKey: 'YOUR_API_KEY' });


            const data = await
            client.getPriceHistory('6p6xgHyF7AeE6TZkSmFsko444wqoP15icUSqi2jfGiPN');
      x-code-samples:
        - lang: typescript
          label: SDK
          source: >
            import { Client } from '@solana-tracker/data-api';


            const client = new Client({ apiKey: 'YOUR_API_KEY' });


            const data = await
            client.getPriceHistory('6p6xgHyF7AeE6TZkSmFsko444wqoP15icUSqi2jfGiPN');
components:
  schemas:
    PriceHistoryResponse:
      type: object
      properties:
        current:
          type: number
        3d:
          type: number
        5d:
          type: number
        7d:
          type: number
        14d:
          type: number
        30d:
          type: number
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: x-api-key
      description: 用于鉴权的 API Key

````